
// import RULE from "./columns";

// const columns = [];

// for (const key in RULE) {

//   columns.push(...RULE[key]);

// }

// const initDicts = (prop) => {
//   return Array.from(
//     new Set(
//       prop
//         .filter((item) => item.attr && item.attr.dictName)
//         .map((item) => item.attr.dictName)
//     )
//   );
// }

// export const dicts = initDicts(columns);


import { initDicts } from "@/utils/init.js";
const modules = require.context("./", true, /columns.js$/);
const columns = [];
modules.keys().forEach((fileName) => {
  const data = modules(fileName).default();
  for (const key in data) {
    if (key === "TabColumns") {
      columns.push(...data[key].map((item) => item.TableColumns).flat());
    } else {
      columns.push(...data[key]);
    }
  }
});
export const dicts = initDicts(columns);
